## Class TDataGridPageChangedEventParameter

Description

TDataGridPageChangedEventParameter class

TDataGridPageChangedEventParameter encapsulates the parameter data for TDataGrid::onPageIndexChanged event of TDataGrid controls.

The CommandSource property refers to the control that originally raises the OnCommand event, while NewPageIndex returns the new page index carried with the page command.

- since: 3.0
- version: $Id: TDataGrid.php 2211 2007-09-07 13:34:10Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/TDataGrid.php (line 1823)

    TComponent
       |
       --TEventParameter
          |
          --TDataGridPageChangedEventParameter

Method Summary
TDataGridPageChangedEventParameter __construct (TControl $source, integer $newPageIndex)
TControl getCommandSource ()
integer getNewPageIndex ()
Methods
Constructor __construct (line 1839)

Constructor.

- access: public

TDataGridPageChangedEventParameter __construct (TControl $source, integer $newPageIndex)

- TControl $source: the control originally raises the OnCommand event.
- integer $newPageIndex: new page index

getCommandSource (line 1848)

- return: the control originally raises the OnCommand event.
- access: public

TControl getCommandSource ()
getNewPageIndex (line 1856)

- return: new page index
- access: public

integer getNewPageIndex ()

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:34:28 -0400 by phpDocumentor 1.3.0RC4